Subject: Re: [patch RFC 3/3] b44: convert to ssb module

From: Michael Buesch <[email-masked]>
Date: Tue, 15 Aug 2006 16:14:16 +0200

On Tuesday 15 August 2006 14:12, John W. Linville wrote:
> On Tue, Aug 15, 2006 at 12:18:39AM +0200, Michael Buesch wrote:
> 
> > @@ -2093,13 +2015,13 @@
> >  	bp->imask = IMASK_DEF;
> >  
> >  	bp->core_unit = ssb_core_unit(bp);
> > -	bp->dma_offset = SB_PCI_DMA;
> > +	bp->dma_offset = 0x40000000; /* Client Mode PCI memory access space (1GB) */
> 
> Probably shouldn't change anything to a magic number...

Well, SB_PCI_DMA wasn't really a useful name, too IMHO :)
But you're right. We should use a define. And I know that.
This is only a patch for testing if it actually works with the
ssb module (I can not test this).

Besides that, we should probably get rid of dma_offset completely,
as it is not really an offset, but a routing bit.

You can take a look at the new DMA engine code of bcm43xx.
It's the same engine.

BTW: John, I see that the new DMA engine code is not applied
to wireless-dev (64-bit DMA and >1G support). But I think I
already sent the patch. Where did it get lost? Was it my fault?

-- 
Greetings Michael.